[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.DoOnVerificationClicked

Updates Flags to reflect the checked state for the verification control and signals the OnVerificationClicked event handler (when assigned).

## Declaration

Source position: dialogs.pp line 799

`protected procedure TCustomTaskDialog.DoOnVerificationClicked(`
`Checked: Boolean`
`); dynamic;`

## Arguments

`Checked` |  | State for the verification check box control on the dialog.

## Version info

Added in LCL version 4.0.

## See also

TCustomTaskDialog.Flags |  | Set of options enabled for the Task dialog.
TCustomTaskDialog.OnVerificationClicked |  | Event handler signalled when the verification check box has been clicked on the task dialog.
TTaskDialogFlags |  | Set type used to store values from the TTaskDialogFlag enumeration.
TTaskDialogFlag |  | Represents options that can be enabled for TTaskDialog.